Loading...
Searching...
No Matches
novas_orbital_system Struct Reference

Specification of an orbital system, in which orbital elements are defined. More...

`#include <novas.h>`

## Public Attributes

enum novas_planet | center
| major planet or barycenter at the center of the orbit.
double | obl
| [deg] relative obliquity of orbital reference plane (e.g.
double | Omega
| [deg] relative argument of ascending node of the orbital reference plane (e.g.
enum novas_reference_plane | plane
| reference plane NOVAS_ECLIPTIC_PLANE or NOVAS_EQUATORIAL_PLANE
enum novas_reference_system | type
| the coordinate reference system used for the reference plane and orbitals.

## Detailed Description

Specification of an orbital system, in which orbital elements are defined.

Systems can be defined around all major planets and barycenters (and Sun, Moon, SSB..). They may be referenced to the GCRS, mean, or true equator or ecliptic of date, or to a plane that is tilted relative to that.

For example, The Minor Planet Center (MPC) publishes up-to-date orbital elements for asteroids and comets, which are heliocentric and referenced to the GCRS ecliptic. Hence 'center' for these is NOVAS_SUN, the plane is NOVAS_ECLIPTIC_PLANE and the type is NOVAS_GCRS_EQUATOR.

The orbits of planetary satellites may be parametrized in their local Laplace planes, which are typically close to the host planet's equatorial planes. You can, for example, obtain the RA/Dec orientation of the planetary North poles of planets from JPL Horizons, and use them as a proxy for the Laplace planes for their satellite orbits. In this case you would set the center to the host planet (e.g. NOVAS_SATURN), the reference plane to NOVAS_EQUATORIAL_PLANE and the type to NOVAS_GCRS_EQUATOR (since the plane is defined by the North pole orientation in GCRS equatorial RA/Dec). The obliquity is then 90° - Decpole (in radians), and phi is RApole (in radians).

Author
  Attila Kovacs

Since
  1.2

See also
  novas_orbital, novas_set_orbsys_pole(), NOVAS_ORBITAL_SYSTEM_INIT

## Member Data Documentation

## center

enum novas_planet novas_orbital_system::center

major planet or barycenter at the center of the orbit.

Referenced by novas_equals_orbsys().

## obl

double novas_orbital_system::obl

[deg] relative obliquity of orbital reference plane (e.g.

90° - δpole)

Referenced by novas_equals_orbsys().

## Omega

double novas_orbital_system::Omega

[deg] relative argument of ascending node of the orbital reference plane (e.g.

αpole + 90°). It is also the reference longitude of the orbit defined in this system.

Referenced by novas_equals_orbsys().

## plane

enum novas_reference_plane novas_orbital_system::plane

reference plane NOVAS_ECLIPTIC_PLANE or NOVAS_EQUATORIAL_PLANE

Referenced by novas_equals_orbsys().

## type

enum novas_reference_system novas_orbital_system::type

the coordinate reference system used for the reference plane and orbitals.

It must be a system, which does not co-rotate with Earth (i.e. not ITRS or TIRS).

Referenced by novas_equals_orbsys().